Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Class AbstractDocumentWriter

    java.lang.Object
      info.bioinfweb.treegraph.document.io.AbstractDocumentWriter

All Implemented Interfaces:
  DocumentWriter

Direct Known Subclasses:
  NewickWriter, NexusWriter, XTGWriter

    public abstract class AbstractDocumentWriter

extends Object
implements DocumentWriter

Field Summary
`static NodeNameAdapter` | `DEFAULT_ADAPTER`
`protected Document` | `document`

Constructor Summary
`AbstractDocumentWriter()`

Method Summary
`void` | `write(Document document, File file)`
`void` | `write(Document document, File file, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter leafAdapter, NodeBranchDataAdapter branchLengthAdapter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentWriter
`write, write`

Field Detail

### DEFAULT_ADAPTER

    public static final NodeNameAdapter DEFAULT_ADAPTER

### document

    protected Document document

Constructor Detail

### AbstractDocumentWriter

    public AbstractDocumentWriter()

Method Detail

### write

    public void write(Document document,
                      File file)
               throws Exception

  Specified by:
    `write` in interface `DocumentWriter`
  Throws:
    `Exception`

### write

    public void write(Document document,
                      File file,
                      NodeBranchDataAdapter internalAdapter,
                      NodeBranchDataAdapter leafAdapter,
                      NodeBranchDataAdapter branchLengthAdapter)
               throws Exception

  Specified by:
    `write` in interface `DocumentWriter`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD